net.sf.okapi.common.annotation

## Class GlossaryAnnotation

- java.lang.Object
- - net.sf.okapi.common.annotation.GlossaryAnnotation

- All Implemented Interfaces:
    java.lang.Iterable<GlossEntry>, IAnnotation

      public class GlossaryAnnotation
      extends java.lang.Object
      implements IAnnotation, java.lang.Iterable<GlossEntry>

  Wrapper class for XLIFF glossary element of the Glossary module. Also contains additional information if to annotate source and target segments with references to generated glossary entry ids.
  Author:
    Vladyslav Mykhalets

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlossaryAnnotation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(GlossEntry alt)`
    `GlossEntry` | `get(int index)`
    `boolean` | `isAnnotateSourceSegment()`
    `boolean` | `isAnnotateTargetSegment()`
    `boolean` | `isEmpty()`
    `java.util.Iterator<GlossEntry>` | `iterator()`
    `void` | `setAnnotateSourceSegment(boolean annotateSourceSegment)`
    `void` | `setAnnotateTargetSegment(boolean annotateTargetSegment)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.okapi.common.annotation.IAnnotation

      `toString`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### GlossaryAnnotation

          public GlossaryAnnotation()

  - ### Method Detail

    - #### add

          public void add(GlossEntry alt)

    - #### isEmpty

          public boolean isEmpty()

    - #### get

          public GlossEntry get(int index)

    - #### iterator

          public java.util.Iterator<GlossEntry> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<GlossEntry>`

    - #### isAnnotateSourceSegment

          public boolean isAnnotateSourceSegment()

    - #### setAnnotateSourceSegment

          public void setAnnotateSourceSegment(boolean annotateSourceSegment)

    - #### isAnnotateTargetSegment

          public boolean isAnnotateTargetSegment()

    - #### setAnnotateTargetSegment

          public void setAnnotateTargetSegment(boolean annotateTargetSegment)